# Create fast charge orders

To use this feature you must have the API key. Read [here](broken://pages/GfKv0bUp3AY62NRSMDOW) to view how to get our API key.

## Link API Postman

## Create fast charge orders with API key

<mark style="color:orange;">`POST`</mark> `https://api.tronsave.io/v0/fast-charge-order-request`

Create fast charge order by [API key](broken://pages/GfKv0bUp3AY62NRSMDOW)

Rate limi&#x74;***: 1** request per **2** seconds*

**Headers**

<table><thead><tr><th width="131"> Name</th><th width="135">Type</th><th>Description</th></tr></thead><tbody><tr><td>apikey<mark style="color:red;">*</mark></td><td>String</td><td>Tronsave API key that present for the internal account</td></tr></tbody></table>

**Request Body**

<table><thead><tr><th width="190">Name</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>amount</td><td>Number</td><td>Amount of resource want to buy</td></tr><tr><td>duration_sec</td><td>Number</td><td>The duration of the rent resource, the time unit is equal second.</td></tr><tr><td>max_price_accept</td><td>Number</td><td>Only create an order when the estimated price is less than this value.</td></tr><tr><td>receivers</td><td>Array</td><td>Array receiver data. A list of wallet addresses receiving energy.</td></tr><tr><td>deadline</td><td>Number</td><td>Maximum matching time in <strong>seconds</strong>. Exceeding it cancels the order and refunds.</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Success" %}
return array of order ids if success

```java
{
    "order_ids": [
        "order_id_1"
        "order_id_2"
        ...
    ]
}
```

{% endtab %}
{% endtabs %}

***Example***

{% tabs %}
{% tab title="Body" %}

```java
{
    "max_price_accept": 70,
    "amount": 130000,
    "duration_sec": 900,
    "deadline": 300
    "receivers": [
        "TQk2eKHE9ZfCdVmyPnh8DfRMUF0123456",
        "TQk2eKHE9ZfCdVmyPnh8DfRMUF1111111"
    ]
}
```

{% endtab %}

{% tab title="Headers" %}

```java
{
  "apikey": <YOUR_API_KEY>
}
```

{% endtab %}

{% tab title="Success Response" %}

```java
{
    "order_ids": [
        "673c17a3129f1881382e98e2",
        "673c17a3129f1881382e98e3"
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tronsave.io/developer/fast-charge-api/create-fast-charge-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
